librime: rime::ReverseLookupTranslator Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
rime::ReverseLookupTranslator Class Reference

`#include <reverse_lookup_translator.h>`

Inheritance diagram for rime::ReverseLookupTranslator:
[legend]
Collaboration diagram for rime::ReverseLookupTranslator:
[legend]

## Public Member Functions
| ReverseLookupTranslator (const Ticket &ticket)
virtual an< Translation > | Query (const string &input, const Segment &segment)
Public Member Functions inherited from rime::Translator
| Translator (const Ticket &ticket)
virtual | ~Translator ()=default
string | name_space () const

## Protected Member Functions
void | Initialize ()

## Protected Attributes
string | tag_
bool | initialized_ = false
the< Dictionary > | dict_
the< ReverseLookupDictionary > | rev_dict_
the< TranslatorOptions > | options_
string | prefix_
string | suffix_
string | tips_
Protected Attributes inherited from rime::Translator
Engine * | engine_
string | name_space_

## Additional Inherited Members
Public Types inherited from rime::Class< Translator, const Ticket & >
using | Initializer
Static Public Member Functions inherited from rime::Class< Translator, const Ticket & >
static Component * | Require (const string &name)

## Constructor & Destructor Documentation

## ◆ ReverseLookupTranslator()

rime::ReverseLookupTranslator::ReverseLookupTranslator | ( | const Ticket & | ticket | ) |

## Member Function Documentation

## ◆ Initialize()

void rime::ReverseLookupTranslator::Initialize | ( |  | ) |
| protected

## ◆ Query()

an< Translation > rime::ReverseLookupTranslator::Query | ( | const string & | input,
|  | const Segment & | segment )
| virtual

Implements rime::Translator.

## Member Data Documentation

## ◆ dict_

the<Dictionary> rime::ReverseLookupTranslator::dict_
| protected

## ◆ initialized_

bool rime::ReverseLookupTranslator::initialized_ = false
| protected

## ◆ options_

the<TranslatorOptions> rime::ReverseLookupTranslator::options_
| protected

## ◆ prefix_

string rime::ReverseLookupTranslator::prefix_
| protected

## ◆ rev_dict_

the<ReverseLookupDictionary> rime::ReverseLookupTranslator::rev_dict_
| protected

## ◆ suffix_

string rime::ReverseLookupTranslator::suffix_
| protected

## ◆ tag_

string rime::ReverseLookupTranslator::tag_
| protected

## ◆ tips_

string rime::ReverseLookupTranslator::tips_
| protected

The documentation for this class was generated from the following files:

- reverse_lookup_translator.h
- reverse_lookup_translator.cc